<?php
/**
 * Astapor Theme Customizer
 *
 * @package Astapor
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function astapor_customize_register( $wp_customize ) {
	
	//Add a class for titles
    class astapor_Info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
			<h3><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }
	
	function astapor_sanitize_checkbox( $checked ) {
		// Boolean check.
		return ( ( isset( $checked ) && true == $checked ) ? true : false );
	}	

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	
	$wp_customize->add_setting('astapor_color_scheme',array(
			'default'	=> '#3f56e7',
			'sanitize_callback'	=> 'sanitize_hex_color'
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'astapor_color_scheme',array(
			'label' => __('Color Scheme','astapor'),			
			 'description'	=> __('Change color of theme','astapor'),
			'section' => 'colors',
			'settings' => 'astapor_color_scheme'
		))
	);
	
	// Slider Section		
	$wp_customize->add_section('astapor_slider_section', array(
            'title' => __('Slider Settings', 'astapor'),
            'priority' => null,
			'description'	=> __('Featured Image Size Should be same ( 1400x600 ) More slider settings available in PRO Version.','astapor'),            			
        )
    );
	
	$wp_customize->add_setting('astapor_page-setting7',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('astapor_page-setting7',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide one:','astapor'),
			'section'	=> 'astapor_slider_section'
	));	
	
	$wp_customize->add_setting('astapor_page-setting8',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('astapor_page-setting8',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide two:','astapor'),
			'section'	=> 'astapor_slider_section'
	));	
	
	$wp_customize->add_setting('astapor_page-setting9',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('astapor_page-setting9',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide three:','astapor'),
			'section'	=> 'astapor_slider_section'
	));	// Slider Section
	
	$wp_customize->add_setting('astapor_disabled_slides',array(
			'default' => true,
			'sanitize_callback' => 'astapor_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 
	
	$wp_customize->add_control( 'astapor_disabled_slides', array(
		   'settings' => 'astapor_disabled_slides',
		   'section'   => 'astapor_slider_section',
		   'label'     => __('Uncheck To Enable This Section','astapor'),
		   'type'      => 'checkbox'
	 ));//Disable Slider Section	
	 
	 //We Are Innovators section
	$wp_customize->add_section('astapor_section_first',array(
			'title'	=> __('We Are Innovators ','astapor'),
			'description'	=> __('Add your details here','astapor'),
			'priority'	=> null
	));	
	
	$wp_customize->add_setting('astapor_why-page1',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('astapor_why-page1',array(
			'type' => 'dropdown-pages',			
			'section' => 'astapor_section_first',
	));	
	
	$wp_customize->add_setting('astapor_disabled_whychooseus',array(
			'default' => true,
			'sanitize_callback' => 'astapor_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 
	
	$wp_customize->add_control( 'astapor_disabled_whychooseus', array(
		   'settings' => 'astapor_disabled_whychooseus',
		   'section'   => 'astapor_section_first',
		   'label'     => __('Uncheck To Enable This Section','astapor'),
		   'type'      => 'checkbox'
	 )); //Disable We Are Innovators section
	
	// Home Three Boxes Section 	
	$wp_customize->add_section('astapor_section_second', array(
			'title'	=> __('Homepage Three Boxes Section','astapor'),
			'description'	=> __('Select Pages from the dropdown for homepage three boxes section','astapor'),
			'priority'	=> null
	));	
	
	$wp_customize->add_setting('astapor_page-column1',	array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
 
	$wp_customize->add_control(	'astapor_page-column1',array(
			'type' => 'dropdown-pages',
			'section' => 'astapor_section_second',
	));	
	
	$wp_customize->add_setting('astapor_page-column2',	array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
 
	$wp_customize->add_control(	'astapor_page-column2',array(
			'type' => 'dropdown-pages',
			'section' => 'astapor_section_second',
	));
	
	$wp_customize->add_setting('astapor_page-column3',	array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
 
	$wp_customize->add_control(	'astapor_page-column3',array(
			'type' => 'dropdown-pages',
			'section' => 'astapor_section_second',
	));//end four column page boxes
	
	$wp_customize->add_setting('astapor_disabled_pgboxes',array(
			'default' => true,
			'sanitize_callback' => 'astapor_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 
	
	$wp_customize->add_control( 'astapor_disabled_pgboxes', array(
		   'settings' => 'astapor_disabled_pgboxes',
		   'section'   => 'astapor_section_second',
		   'label'     => __('Uncheck To Enable This Section','astapor'),
		   'type'      => 'checkbox'
	 ));//Disable Homepage boxes Section	
	
}
add_action( 'customize_register', 'astapor_customize_register' );

function astapor_custom_css(){
		?>
        	<style type="text/css"> 
					
					a, .blog_lists h2 a:hover,
					#sidebar ul li a:hover,									
					.blog_lists h3 a:hover,
					.cols-4 ul li a:hover, .cols-4 ul li.current_page_item a,
					.recent-post h6:hover,					
					.fourbox:hover h3,
					.footer-icons a:hover,
					.postmeta a:hover,
					.powerby a:hover
					{ color:<?php echo esc_html( get_theme_mod('astapor_color_scheme','#3f56e7')); ?>;}
					 
					
					.pagination ul li .current, .pagination ul li a:hover, 
					#commentform input#submit:hover,					
					.nivo-controlNav a.active,
					.ReadMore:hover,
					.appbutton:hover,					
					.slide_info .slide_more,				
					h3.widget-title,
					.sitenav ul li a:hover, .sitenav ul li.current_page_item a, 
					.sitenav ul li.current-menu-ancestor a.parent,					
					#sidebar .search-form input.search-submit,				
					.wpcf7 input[type='submit']					
					{ background-color:<?php echo esc_html( get_theme_mod('astapor_color_scheme','#3f56e7')); ?>;}
					
					
					.footer-icons a:hover							
					{ border-color:<?php echo esc_html( get_theme_mod('astapor_color_scheme','#3f56e7')); ?>;}					
					
					
			</style>
<?php                      
}
         
add_action('wp_head','astapor_custom_css');	  

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function astapor_customize_preview_js() {
	wp_enqueue_script( 'astapor_customizer', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'astapor_customize_preview_js' );